org.mariadb.jdbc.internal.packet.send

## Interface InterfaceSendPacket

All Known Subinterfaces:
  InterfaceAuthSwitchSendResponsePacket

All Known Implementing Classes:
  AbstractAuthSwitchSendResponsePacket, ComStmtExecute, SendChangeDbPacket, SendClearPasswordAuthPacket, SendClosePacket, SendGssApiAuthPacket, SendHandshakeResponsePacket, SendNativePasswordAuthPacket, SendOldPasswordAuthPacket, SendPamAuthPacket, SendPingPacket, SendSslConnectionRequestPacket

    public interface InterfaceSendPacket

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `send(OutputStream os)`

### Method Detail

#### send

    void send(OutputStream os)
       throws IOException,
              QueryException

Throws:
  `IOException`
  `QueryException`